from django.db.models import base
from django.urls import path, include
from .views import ClassView, PlayCodeAPIView, SignatureAPIView, VideoView, VideoViewSet, VRecordViewSet, MyViewRecordAPIView
from rest_framework import routers

router = routers.DefaultRouter()
router.register('video', VideoViewSet, basename="video")
router.register('viewrecord', VRecordViewSet, basename='viewrecord')
urlpatterns = [
    path('', include(router.urls)),
    path('video/<int:id>/myview/', MyViewRecordAPIView.as_view()),
    path('signature/', SignatureAPIView.as_view()),
    path('playcode/<str:fileId>/', PlayCodeAPIView.as_view())
]
